Description

The project overview page shows only users, even if the group has been added as a member of the project.

The "Members" tab of the project settings shows both users and groups, so I think the overview page needs to show groups as well

as users.
Related issues:

Related to Redmine - Feature #12794: Member groups not listed in project page Closed

Associated revisions

Revision 19718 - 2020-04-22 16:52 - Go MAEDA

Show groups in members box on project overview page (#33174).

Patch by Mizuki ISHIKAWA.

History

#1 - 2020-03-19 02:37 - Mizuki ISHIKAWA

- File feature-33174.patch added

#2 - 2020-03-19 16:12 - Yuuki NARA

+1

This ticket is related to #12794.

I have a suggestion.

If more than 100 people are set in the group definition,

Displaying only the group definition name on the overview screen makes it easier to understand.

Many people may be expanded and displayed due to inheritance from the upper-level PJ and expansion of the group definition.

#3 - 2020-03-20 01:23 - Go MAEDA

Yuuki NARA wrote:

I have a suggestion.

If more than 100 people are set in the group definition,

Displaying only the group definition name on the overview screen makes it easier to understand.

 I think it is another feature. Maybe it is better to discuss the additional feature after the patch is accepted. Generally, expanding the scope of an issue

makes it difficult to move it forward.

#4 - 2020-03-20 01:24 - Go MAEDA

- Related to Feature #12794: Member groups not listed in project page added

#5 - 2020-03-24 15:05 - Go MAEDA

- Target version set to Candidate for next major release

2025-05-02 1/2
Not to break third-party plugins, I think it is safer to keep users_by_role method and log a deprecation warning like 

source:tags/3.4.9/app/models/project.rb#L839 than removing the method in Redmine 4.2.0.

#6 - 2020-04-01 06:14 - Mizuki ISHIKAWA

- File feature-33174-with-deprecation-warning.patch added

Go MAEDA wrote:

Not to break third-party plugins, I think it is safer to keep users_by_role method and log a deprecation warning like 

source:tags/3.4.9/app/models/project.rb#L839 than removing the method in Redmine 4.2.0.

 Changed Project#members_by_role to give deprecation warning.

#7 - 2020-04-12 06:04 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0

Setting the target version to 4.2.0.

#8 - 2020-04-22 16:53 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for improving Redmine.

#9 - 2020-04-24 23:09 - Marius BĂLTEANU

- File members.png added

- Status changed from Closed to Reopened

Is it ok to show the builtin groups ("Anonymous users", "Non members users") and group members ("User misc" is member of A Team)?

 members.png 

#10 - 2020-04-25 03:17 - Go MAEDA

Marius BALTEANU wrote:

Is it ok to show the builtin groups ("Anonymous users", "Non members users") and group members ("User misc" is member of A Team)?

 I think it is how it should behave.

The list is used to see the members of projects, so builtin groups should be displayed as well if they are a member

Users without special permission have no means to know group members, so I think users added to the project through group should be

displayed as well. The members tab in the project setting also shows group members

#11 - 2020-04-25 08:47 - Marius BĂLTEANU

- Status changed from Reopened to Closed

Go MAEDA wrote:

I think it is how it should behave.

 Thanks!
